import React from 'react';
import ReactDOM from 'react-dom';
import { ModelManager, Constants } from '@adobe/cq-spa-page-model-manager';
import App from './App';
import * as serviceWorker from './serviceWorker';
//import LocalServiceWorkerRegister from './sw-register';
import {BrowserRouter} from 'react-router-dom';
require ('./components/page/Page') ;
require ('./components/title/Title') ;
require ('./components/image/Image') ;
require ('./components/text/Text') ;
require ('./components/nav/Nav') ;
require ('./components/footer/Footer') ;
require ('./components/pwa/PWA') ;
 
function render(model) {
    ReactDOM.render((
        <BrowserRouter>
        <App cqChildren={ model[Constants.CHILDREN_PROP] }
             cqItems={ model[Constants.ITEMS_PROP] }
             cqItemsOrder={ model[Constants.ITEMS_ORDER_PROP] }
             cqPath={ ModelManager.rootPath }
             locationPathname={ window.location.pathname }/>
        </BrowserRouter>),
              document.getElementById('root'));
}
//LocalServiceWorkerRegister();
ModelManager.initialize({ path: process.env.REACT_APP_PAGE_MODEL_PATH }).then(render);

